Copyright: Created with EasyHelp (Tel: 0973 209667)


L5391/Ordinal Pot - RG354702

Description

This block mimics a potentiometer in a display band on an operator station.  It has a single Output for the setpoint.  Pressing the buttons on the right side of the display changes the Output.

In order to be displayed, this function block must be specified in either a page handler or display handler function block.

Note that a pot requires feedback from its Output to its Setpoint input.  This allows clamping of the Setpoint and sharing of the Setpoint among multiple pots.  (In the simplest case, the pot Output may be directly connected to its Setpoint input).

Parameters

Setpoint	Input.  Expects an ordinal (0 to 32767).

Get Setpoint	Returns the setpoint:  0 to 32767.

Legend	A string of up to approximately 16 characters may be specified for the legend.

Format	A format string specifies how the setpoint will be displayed in the digital readout part of the display.  # characters to indicate digit positions.


Description

This block mimics a potentiometer in a display band on an operator station.  It has a single Output for the setpoint.  Pressing the buttons on the right side of the display changes the Output.

In order to be displayed, this function block must be specified in either a page handler or display handler function block.

Note that a pot requires feedback from its Output to its Setpoint input.  This allows clamping of the Setpoint and sharing of the Setpoint among multiple pots.  (In the simplest case, the pot Output may be directly connected to its Setpoint input).


Parameters

Setpoint	Input.  Expects an ordinal (0 to 32767).

Get Setpoint	Returns the setpoint:  0 to 32767.

Legend	A string of up to approximately 16 characters may be specified for the legend.

Format	A format string specifies how the setpoint will be displayed in the digital readout part of the display.  # characters to indicate digit positions.